Bug 116089 - Network startup should be optional with no penalty for non-starting.
Network startup should be optional with no penalty for non-starting.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-17 23:10 EST by J.B. Nicholson-Owens
Modified: 2014-03-16 22:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 21:33:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J.B. Nicholson-Owens 2004-02-17 23:10:34 EST
Description of problem:
It would be nice if redhat-config-network (now system-config-network
in FC2test1) allowed you to say "Start this network connection at boot
time if you can, but don't raise an error if you can't do it".  Right
now you have to choose between start at boot time or don't start at
boot time and if you pick the former and the network is not available
(i.e., you're not near a WiFi hotspot or you don't have the ethernet
cable plugged in) you get an error that can make things look bad when
really it's not a big problem at all.

If the network cannot be connected to at boot time, don't make the
nice GUI boot screen go from showing graphics into showing text, just
continue on its merry way.

If the network can be connected to at boot time, do so.

I took a stab at the right place to place this RFE.
Comment 1 Bill Nottingham 2004-02-18 00:35:10 EST
It would have to be a separate flag... currently ONBOOT is either
'yes' or 'no'; no 'maybe'.
Comment 2 Manuel "Chilli" Chakravarty 2004-04-08 10:10:20 EDT
I support the intention of this RFE, but like to propose an
alternative method of achieving it.  In fact, I like to propose to do
the same as what SuSE does *in the case* where the BOOTPROTO is DHCP.
 If the DHCP client doesn't get an IP address within a fixed time
frame (eg, 5sec) put it into the background and continue with the boot
process.

This is especially useful for wireless cards in laptops, especially if
the DHCP client keeps trying in the background and brings the
interface up as soon as the machine moves within the range of a
suitable wireless network.
Comment 3 Bryan W Clark 2005-01-07 11:31:20 EST
Our solution for wireless cards on laptops should be using
NetworkManager and not initscripts on boot.  Please try setting those
devices to ONBOOT=no and use NetworkManager to manage wireless and
wired connections.
Comment 4 Bill Nottingham 2005-04-28 21:33:17 EDT
At this point, the behavior in initscripts is unlikely to change here.

Note You need to log in before you can comment on or make changes to this bug.